window.Gleam.initSearch([{"doc":"gild","title":"gild","content":"# gild_frontend\n\nwork in progress\n\nextremely alpha\n\nfeedback welcome!\n\nexample usage:\n```import gild/app\nimport gild/react as r\nimport gleam/io\n\npub fn config() {\n  app.settings()\n  |&gt; app.title(&quot;My React App&quot;)\n}\n\npub fn main() {\n  let element =\n    r.create_element(&quot;div&quot;)\n    |&gt; r.prop(#(&quot;id&quot;, &quot;container&quot;))\n    |&gt; r.prop(#(&quot;className&quot;, &quot;bg-white p-4&quot;))\n    |&gt; r.children(jsx)\n\n  io.debug(r.render(element))\n}\n```\n\noutput:\n```\n#(&quot;div&quot;, [#(&quot;className&quot;, &quot;bg-white p-4&quot;), #(&quot;id&quot;, &quot;container&quot;)], &quot;hello world!&quot;)\n```\n\nafter removing the debug print, you can run `gleam build --target javascript` and see the `index.html` file for how it&#39;s used\n\nrun `npx serve` and check out the results\n","url":"index.html"},{"doc":"gild/app","title":"Config","content":"pub type Config =\n  List(KV)\n\n\nSynonyms:\ngild/app.Config\ngild/app Config","url":"gild/app.html#Config"},{"doc":"gild/app","title":"KV","content":"pub type KV =\n  #(String, String)\n\n\nSynonyms:\ngild/app.KV\ngild/app KV","url":"gild/app.html#KV"},{"doc":"gild/app","title":"runtime","content":"pub fn runtime(\n  config: List(#(String, String)),\n  runtime: String,\n) -&gt; List(#(String, String))\n\nSynonyms:\ngild/app.runtime\ngild/app runtime","url":"gild/app.html#runtime"},{"doc":"gild/app","title":"settings","content":"pub fn settings() -&gt; List(#(String, String))\n\nSynonyms:\ngild/app.settings\ngild/app settings","url":"gild/app.html#settings"},{"doc":"gild/app","title":"title","content":"pub fn title(\n  config: List(#(String, String)),\n  title: String,\n) -&gt; List(#(String, String))\n\nSynonyms:\ngild/app.title\ngild/app title","url":"gild/app.html#title"},{"doc":"gild/app","title":"gild/app","content":"","url":"gild/app.html"},{"doc":"gild/react","title":"Element","content":"pub type Element =\n  #(String, Props, String)\n\n\nSynonyms:\ngild/react.Element\ngild/react Element","url":"gild/react.html#Element"},{"doc":"gild/react","title":"Prop","content":"pub type Prop =\n  #(String, String)\n\n\nSynonyms:\ngild/react.Prop\ngild/react Prop","url":"gild/react.html#Prop"},{"doc":"gild/react","title":"Props","content":"pub type Props =\n  List(Prop)\n\n\nSynonyms:\ngild/react.Props\ngild/react Props","url":"gild/react.html#Props"},{"doc":"gild/react","title":"children","content":"pub fn children(\n  element: #(String, List(#(String, String)), String),\n  children: String,\n) -&gt; #(String, List(#(String, String)), String)\n\nSynonyms:\ngild/react.children\ngild/react children","url":"gild/react.html#children"},{"doc":"gild/react","title":"create_element","content":"pub fn create_element(\n  tag: String,\n) -&gt; #(String, List(#(String, String)), String)\n\nSynonyms:\ngild/react.create_element\ngild/react create_element","url":"gild/react.html#create_element"},{"doc":"gild/react","title":"jsx","content":"pub fn jsx(markup: String) -&gt; String\n\nSynonyms:\ngild/react.jsx\ngild/react jsx","url":"gild/react.html#jsx"},{"doc":"gild/react","title":"prop","content":"pub fn prop(\n  element: #(String, List(#(String, String)), String),\n  prop: #(String, String),\n) -&gt; #(String, List(#(String, String)), String)\n\nSynonyms:\ngild/react.prop\ngild/react prop","url":"gild/react.html#prop"},{"doc":"gild/react","title":"render","content":"pub fn render(\n  element: #(String, List(#(String, String)), String),\n) -&gt; #(String, List(#(String, String)), String)\n\nSynonyms:\ngild/react.render\ngild/react render","url":"gild/react.html#render"},{"doc":"gild/react","title":"gild/react","content":"","url":"gild/react.html"},{"doc":"gild_frontend","title":"config","content":"pub fn config() -&gt; List(#(String, String))\n\nSynonyms:\ngild_frontend.config\ngild_frontend config","url":"gild_frontend.html#config"},{"doc":"gild_frontend","title":"main","content":"pub fn main() -&gt; #(String, List(#(String, String)), String)\n\nSynonyms:\ngild_frontend.main\ngild_frontend main","url":"gild_frontend.html#main"},{"doc":"gild_frontend","title":"gild_frontend","content":"","url":"gild_frontend.html"}]);